Package com.io7m.idstore.tls

# Enum Class IdTLSDisabled

java.lang.Object
java.lang.Enum<IdTLSDisabled>
com.io7m.idstore.tls.IdTLSDisabled

All Implemented Interfaces:
  `IdTLSConfigurationType`, `Serializable`, `Comparable<IdTLSDisabled>`, `Constable`

public enum IdTLSDisabled extends Enum<IdTLSDisabled> implements IdTLSConfigurationType
TLS is disabled.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TLS_DISABLED`
  TLS is disabled.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdTLSDisabled`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdTLSDisabled[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TLS_DISABLED

    public static final IdTLSDisabled TLS_DISABLED
    TLS is disabled.

- ## Method Details

  - ### values

    public static IdTLSDisabled[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdTLSDisabled valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null